Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.lib.jsf
Class PortletExternalContextWrapper

    java.lang.Object
      javax.faces.context.ExternalContext
          org.apache.myfaces.orchestra.lib.jsf.PortletExternalContextWrapper

    public class PortletExternalContextWrapper

extends javax.faces.context.ExternalContext

Class used by _PortletFacesContextWrapper to allow orchestra work in portlets This class wraps encodeActionURL and encodeResourceURL to include conversationContext param like RequestParameterResponseWrapper does. In portlets we can't do the same than is servlets, because the params added here must be encoded by the portlet container and in portlets we don't have servlet redirect cases.

Version:
  $Revision: 798382 $ $Date: 2009-07-27 22:23:02 -0500 (Mon, 27 Jul 2009) $
Author:
  Leonardo Uribe(latest modification by $Author: lu4242 $)

Field Summary

Fields inherited from class javax.faces.context.ExternalContext
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`PortletExternalContextWrapper(javax.faces.context.ExternalContext context)`

Method Summary
`void` | `dispatch(String arg0)`
`String` | `encodeActionURL(String url)`
`String` | `encodeNamespace(String arg0)`
`String` | `encodeResourceURL(String url)`
`Map` | `getApplicationMap()`
`String` | `getAuthType()`
`Object` | `getContext()`
`String` | `getInitParameter(String arg0)`
`Map` | `getInitParameterMap()`
`String` | `getRemoteUser()`
`Object` | `getRequest()`
`String` | `getRequestCharacterEncoding()`
`String` | `getRequestContextPath()`
`Map` | `getRequestCookieMap()`
`Map` | `getRequestHeaderMap()`
`Map` | `getRequestHeaderValuesMap()`
`Locale` | `getRequestLocale()`
`Iterator` | `getRequestLocales()`
`Map` | `getRequestMap()`
`Map` | `getRequestParameterMap()`
`Iterator` | `getRequestParameterNames()`
`Map` | `getRequestParameterValuesMap()`
`String` | `getRequestPathInfo()`
`String` | `getRequestServletPath()`
`URL` | `getResource(String arg0)`
`InputStream` | `getResourceAsStream(String arg0)`
`Set` | `getResourcePaths(String arg0)`
`Object` | `getResponse()`
`String` | `getResponseCharacterEncoding()`
`String` | `getResponseContentType()`
`Object` | `getSession(boolean arg0)`
`Map` | `getSessionMap()`
`Principal` | `getUserPrincipal()`
`boolean` | `isUserInRole(String arg0)`
`void` | `log(String s)`
`void` | `log(String s, Throwable throwable)`
`void` | `redirect(String arg0)`
`void` | `setRequest(Object request)`
`void` | `setRequestCharacterEncoding(String encoding)`
`void` | `setResponse(Object response)`
`void` | `setResponseCharacterEncoding(String encoding)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletExternalContextWrapper

    public PortletExternalContextWrapper(javax.faces.context.ExternalContext context)

Method Detail

### dispatch

    public void dispatch(String arg0)
                  throws IOException

  Specified by:
    `dispatch` in class `javax.faces.context.ExternalContext`
  Throws:
    `IOException`

### encodeActionURL

    public String encodeActionURL(String url)

  Specified by:
    `encodeActionURL` in class `javax.faces.context.ExternalContext`

### encodeNamespace

    public String encodeNamespace(String arg0)

  Specified by:
    `encodeNamespace` in class `javax.faces.context.ExternalContext`

### encodeResourceURL

    public String encodeResourceURL(String url)

  Specified by:
    `encodeResourceURL` in class `javax.faces.context.ExternalContext`

### getApplicationMap

    public Map getApplicationMap()

  Specified by:
    `getApplicationMap` in class `javax.faces.context.ExternalContext`

### getAuthType

    public String getAuthType()

  Specified by:
    `getAuthType` in class `javax.faces.context.ExternalContext`

### getContext

    public Object getContext()

  Specified by:
    `getContext` in class `javax.faces.context.ExternalContext`

### getInitParameter

    public String getInitParameter(String arg0)

  Specified by:
    `getInitParameter` in class `javax.faces.context.ExternalContext`

### getInitParameterMap

    public Map getInitParameterMap()

  Specified by:
    `getInitParameterMap` in class `javax.faces.context.ExternalContext`

### getRemoteUser

    public String getRemoteUser()

  Specified by:
    `getRemoteUser` in class `javax.faces.context.ExternalContext`

### getRequest

    public Object getRequest()

  Specified by:
    `getRequest` in class `javax.faces.context.ExternalContext`

### getRequestContextPath

    public String getRequestContextPath()

  Specified by:
    `getRequestContextPath` in class `javax.faces.context.ExternalContext`

### getRequestCookieMap

    public Map getRequestCookieMap()

  Specified by:
    `getRequestCookieMap` in class `javax.faces.context.ExternalContext`

### getRequestHeaderMap

    public Map getRequestHeaderMap()

  Specified by:
    `getRequestHeaderMap` in class `javax.faces.context.ExternalContext`

### getRequestHeaderValuesMap

    public Map getRequestHeaderValuesMap()

  Specified by:
    `getRequestHeaderValuesMap` in class `javax.faces.context.ExternalContext`

### getRequestLocale

    public Locale getRequestLocale()

  Specified by:
    `getRequestLocale` in class `javax.faces.context.ExternalContext`

### getRequestLocales

    public Iterator getRequestLocales()

  Specified by:
    `getRequestLocales` in class `javax.faces.context.ExternalContext`

### getRequestMap

    public Map getRequestMap()

  Specified by:
    `getRequestMap` in class `javax.faces.context.ExternalContext`

### getRequestParameterMap

    public Map getRequestParameterMap()

  Specified by:
    `getRequestParameterMap` in class `javax.faces.context.ExternalContext`

### getRequestParameterNames

    public Iterator getRequestParameterNames()

  Specified by:
    `getRequestParameterNames` in class `javax.faces.context.ExternalContext`

### getRequestParameterValuesMap

    public Map getRequestParameterValuesMap()

  Specified by:
    `getRequestParameterValuesMap` in class `javax.faces.context.ExternalContext`

### getRequestPathInfo

    public String getRequestPathInfo()

  Specified by:
    `getRequestPathInfo` in class `javax.faces.context.ExternalContext`

### getRequestServletPath

    public String getRequestServletPath()

  Specified by:
    `getRequestServletPath` in class `javax.faces.context.ExternalContext`

### getResource

    public URL getResource(String arg0)
                    throws MalformedURLException

  Specified by:
    `getResource` in class `javax.faces.context.ExternalContext`
  Throws:
    `MalformedURLException`

### getResourceAsStream

    public InputStream getResourceAsStream(String arg0)

  Specified by:
    `getResourceAsStream` in class `javax.faces.context.ExternalContext`

### getResourcePaths

    public Set getResourcePaths(String arg0)

  Specified by:
    `getResourcePaths` in class `javax.faces.context.ExternalContext`

### getResponse

    public Object getResponse()

  Specified by:
    `getResponse` in class `javax.faces.context.ExternalContext`

### getSession

    public Object getSession(boolean arg0)

  Specified by:
    `getSession` in class `javax.faces.context.ExternalContext`

### getSessionMap

    public Map getSessionMap()

  Specified by:
    `getSessionMap` in class `javax.faces.context.ExternalContext`

### getUserPrincipal

    public Principal getUserPrincipal()

  Specified by:
    `getUserPrincipal` in class `javax.faces.context.ExternalContext`

### isUserInRole

    public boolean isUserInRole(String arg0)

  Specified by:
    `isUserInRole` in class `javax.faces.context.ExternalContext`

### redirect

    public void redirect(String arg0)
                  throws IOException

  Specified by:
    `redirect` in class `javax.faces.context.ExternalContext`
  Throws:
    `IOException`

### log

    public void log(String s,
                    Throwable throwable)

  Specified by:
    `log` in class `javax.faces.context.ExternalContext`

### log

    public void log(String s)

  Specified by:
    `log` in class `javax.faces.context.ExternalContext`

### getResponseContentType

    public String getResponseContentType()

### setRequest

    public void setRequest(Object request)

### setRequestCharacterEncoding

    public void setRequestCharacterEncoding(String encoding)
                                     throws UnsupportedEncodingException

  Throws:
    `UnsupportedEncodingException`

### setResponse

    public void setResponse(Object response)

### setResponseCharacterEncoding

    public void setResponseCharacterEncoding(String encoding)

### getResponseCharacterEncoding

    public String getResponseCharacterEncoding()

### getRequestCharacterEncoding

    public String getRequestCharacterEncoding()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.